Modeling Wizard Plugin for AutomationML Editor Version1.0.0.1 Plugin |

Public Member Functions | Properties | List of all members
Aml.Editor.Plugin.AnimationClass Class Reference

## Public Member Functions
| AnimationClass ()
void | WindowSizeChanger (Panel panelNumber, Button buttonNumber)
void | WindowSizeChanger (Panel panelNumber)
string | OpenFileDialog (TextBox textboxName)
void | OpenFileDialog (TextBox textboxName, Button pdfDisplayBtn)
void | ManualOpener (string btnText)
void | OpenFileDialog (TextBox textboxName, PictureBox pictureBoxNumber)
void | OpenFileDialog (TextBox textboxName, PictureBox pictureBoxNumber, Button displayButton)
void | DispalySemanticBtn (Button refSemanticBtn, DataGridView dataGrids, string word)

## Properties
Panel | PanelNumber`[get, set]`
Button | ButtonNumber`[get, set]`
WebBrowser | Webbrowser`[get, set]`
TextBox | TextboxName`[get, set]`
PictureBox | PictureboxNumber`[get, set]`
Button | DisplayBtn`[get, set]`
DataGridView | dataGridView`[get, set]`
string | words`[get, set]`

## Constructor & Destructor Documentation

## ◆ AnimationClass()

Aml.Editor.Plugin.AnimationClass.AnimationClass | ( |  | ) |
| inline

## Member Function Documentation

## ◆ DispalySemanticBtn()

void Aml.Editor.Plugin.AnimationClass.DispalySemanticBtn | ( | Button | refSemanticBtn,
|  | DataGridView | dataGrids,
|  | string | word
| ) |  |
| inline

## ◆ ManualOpener()

void Aml.Editor.Plugin.AnimationClass.ManualOpener | ( | string | btnText | ) |
| inline

## ◆ OpenFileDialog() [1/4]

string Aml.Editor.Plugin.AnimationClass.OpenFileDialog | ( | TextBox | textboxName | ) |
| inline

## ◆ OpenFileDialog() [2/4]

void Aml.Editor.Plugin.AnimationClass.OpenFileDialog | ( | TextBox | textboxName,
|  | Button | pdfDisplayBtn
| ) |  |
| inline

## ◆ OpenFileDialog() [3/4]

void Aml.Editor.Plugin.AnimationClass.OpenFileDialog | ( | TextBox | textboxName,
|  | PictureBox | pictureBoxNumber
| ) |  |
| inline

## ◆ OpenFileDialog() [4/4]

void Aml.Editor.Plugin.AnimationClass.OpenFileDialog | ( | TextBox | textboxName,
|  | PictureBox | pictureBoxNumber,
|  | Button | displayButton
| ) |  |
| inline

## ◆ WindowSizeChanger() [1/2]

void Aml.Editor.Plugin.AnimationClass.WindowSizeChanger | ( | Panel | panelNumber | ) |
| inline

## ◆ WindowSizeChanger() [2/2]

void Aml.Editor.Plugin.AnimationClass.WindowSizeChanger | ( | Panel | panelNumber,
|  | Button | buttonNumber
| ) |  |
| inline

## Property Documentation

## ◆ ButtonNumber

Button Aml.Editor.Plugin.AnimationClass.ButtonNumber
| get set

## ◆ dataGridView

DataGridView Aml.Editor.Plugin.AnimationClass.dataGridView
| get set

## ◆ DisplayBtn

Button Aml.Editor.Plugin.AnimationClass.DisplayBtn
| get set

## ◆ PanelNumber

Panel Aml.Editor.Plugin.AnimationClass.PanelNumber
| get set

## ◆ PictureboxNumber

PictureBox Aml.Editor.Plugin.AnimationClass.PictureboxNumber
| get set

## ◆ TextboxName

TextBox Aml.Editor.Plugin.AnimationClass.TextboxName
| get set

## ◆ Webbrowser

WebBrowser Aml.Editor.Plugin.AnimationClass.Webbrowser
| get set

## ◆ words

string Aml.Editor.Plugin.AnimationClass.words
| get set

The documentation for this class was generated from the following file:

- AnimationClass.cs